Skip to main content
`Ctrl`+`K`

# TSIRKRegister

adds a `TSIRK` implementation

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSIRKRegister(const char sname[], PetscErrorCode (*function)(TS))

Not Collective, No Fortran Support

## Input Parameters

- sname - name of user-defined IRK scheme

- function - function to create method context

## Note

`TSIRKRegister()` may be called multiple times to add several user-defined families.

## Example Usage

       TSIRKRegister("my_scheme", MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

      TSIRKSetType(ts, "my_scheme")

or at runtime via the option

      -ts_irk_type my_scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSIRK`, `TSIRKRegisterAll()`

## Level

advanced

## Location

src/ts/impls/implicit/irk/irk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages